--- netutils.h-orig	2005-10-31 13:03:19.000000000 -0700
+++ netutils.h	2006-09-29 13:55:34.385797962 -0600
@@ -62,9 +62,9 @@
   const char *sbuffer, char *rbuffer, int rsize);
 
 /* my_connect and wrapper macros */
-#define my_tcp_connect(addr, port, s) np_net_connect(addr, port, s, IPPROTO_TCP)
-#define my_udp_connect(addr, port, s) np_net_connect(addr, port, s, IPPROTO_UDP)
-int np_net_connect(const char *address, int port, int *sd, int proto);
+#define my_tcp_connect(addr, port, s) np_net_connect(addr, port, s, IPPROTO_TCP, NULL)
+#define my_udp_connect(addr, port, s) np_net_connect(addr, port, s, IPPROTO_UDP, NULL)
+int np_net_connect(const char *address, int port, int *sd, int proto, const char *src_ip);
 
 /* send_request and wrapper macros */
 #define send_tcp_request(s, sbuf, rbuf, rsize) \